Subject: Re: bug#19478: [PATCH] Improve SXPath documentation
From: [email-masked] (Ludovic Courtès)
To: Ricardo Wurmus <[email-masked]>
Cc: [email-masked]
Date: Sat, 05 Sep 2015 18:53:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ricardo Wurmus <[email-masked]> skribis:

>>> From 302fd7dd9d293ca1e88a39c255704ccd173caed4 Mon Sep 17 00:00:00 2001
>>> From: Ricardo Wurmus <[email-masked]>
>>> Date: Sun, 30 Aug 2015 10:58:42 +0200
>>> Subject: [PATCH] doc: Add SXPath documentation from sources
>>>
>>> * doc/ref/sxml.texi (SXPath): Add procedure documentation from sources.
>>
>> Pushed.  I added a note at the top of the file that this is from
>> SXPath.scm, which is public-domain.
>
> Actually, my patch included these lines near the end of the first
> section:
>
>> +Much of the following material is taken from the SXPath sources by Oleg
>> +Kiselyov et al.
>
> Putting a note at the top also seems appropriate.

Yes, that’s what I thought; it makes it easier to see at a glance where
the material comes from and what its copyright status is.

>> Should this bug be closed now?  Your call.
>
> Yes, it can be closed now.  For future SXML documentation updates should
> I just send patches to guile-devel or open a bug report?

Either way is fine; it’s easier not to lose track of bugs, though.

Thanks!

Ludo’.